# PSF-LoginServer - master - net.psforever.objects.vehicles.VehicleManifest
PSF - LoginServer - master - net.psforever.objects.vehicles.VehicleManifest
Keywords: PSF LoginServer master net.psforever.objects.vehicles.VehicleManifest

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vehicles
  Definition Classes
    objects
-  package control
  Definition Classes
    vehicles
- AccessPermissionGroup
- AntTransferBehavior
- Cargo
- CargoBehavior
- CargoVehicleRestriction
- DestroyedVehicle
- InternalTelepadDefinition
- ManifestPassengerEntry
- MountableWeapons
- MountableWeaponsDefinition
- MountedWeapons
- MountedWeaponsDefinition
- SeatArmorRestriction
- Turrets
- Utility
- UtilityType
- VehicleLockState
- VehicleManifest

c

net.psforever.objects.vehicles

# VehicleManifest 

###
Companion object VehicleManifest

#### final case class VehicleManifest(file: String, vehicle: Vehicle, origin: Zone, driverName: String, passengers: List[ManifestPassengerEntry], cargo: List[ManifestPassengerEntry]) extends Product with Serializable

A record of accounting of the the vehicle's state at a given time.

file

  the id of this manifest entry; used as the channel name for summoning passengers to the vehicle after it has been loaded to a new location or to a new zone; this channel name should be unique to the vehicle for at least the duration of the transition; the vehicle-specific channel with which all passengers are coordinated back to the original vehicle

vehicle

  the vehicle in transport

origin

  where the vehicle originally was

driverName

  the name of the driver when the transport process started

passengers

  the paired names and mount indices of all passengers when the transport process started

cargo

  the paired driver names and cargo hold indices of all cargo vehicles when the transport process started

Source
  VehicleManifest.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleManifest
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new VehicleManifest(file: String, vehicle: Vehicle, origin: Zone, driverName: String, passengers: List[ManifestPassengerEntry], cargo: List[ManifestPassengerEntry])

   file

     the id of this manifest entry; used as the channel name for summoning passengers to the vehicle after it has been loaded to a new location or to a new zone; this channel name should be unique to the vehicle for at least the duration of the transition; the vehicle-specific channel with which all passengers are coordinated back to the original vehicle

   vehicle

     the vehicle in transport

   origin

     where the vehicle originally was

   driverName

     the name of the driver when the transport process started

   passengers

     the paired names and mount indices of all passengers when the transport process started

   cargo

     the paired driver names and cargo hold indices of all cargo vehicles when the transport process started

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val cargo: List[ManifestPassengerEntry]
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  val driverName: String
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  val file: String
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  val origin: Zone
17.  val passengers: List[ManifestPassengerEntry]
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  val vehicle: Vehicle
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped